Runs API
Retrieve run trace
Returns the full OTel trace tree for a run, including all spans and their children.
GET
/
api
/
v1
/
runs
/
{runId}
/
trace
TypeScript
const response = await fetch("https://api.trigger.dev/api/v1/runs/run_1234/trace", {
headers: {
Authorization: `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
},
});
const { trace } = await response.json();curl --request GET \
--url https://api.trigger.dev/api/v1/runs/{runId}/trace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trigger.dev/api/v1/runs/{runId}/trace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trigger.dev/api/v1/runs/{runId}/trace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trace": {
"traceId": "<string>",
"rootSpan": {
"id": "<string>",
"parentId": "<string>",
"runId": "<string>",
"data": {
"message": "<string>",
"taskSlug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"duration": 123,
"isError": true,
"isPartial": true,
"isCancelled": true,
"attemptNumber": 123,
"properties": {},
"events": [
{
"name": "<string>",
"time": "2023-11-07T05:31:56Z",
"properties": {}
}
]
},
"children": "<array>"
}
}
}{
"error": "Invalid or Missing API key"
}{}Authorizations
Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.
You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.
Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.
import { configure } from "@trigger.dev/sdk"; configure({ accessToken: "tr_dev_1234" });
Path Parameters
The ID of an run, starts with run_. The run ID will be returned when you trigger a run on a task.
Response
Successful request
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieve run resultReturns the execution result of a completed run. Returns 404 if the run doesn't exist or hasn't finished yet.
Next
⌘I
TypeScript
const response = await fetch("https://api.trigger.dev/api/v1/runs/run_1234/trace", {
headers: {
Authorization: `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
},
});
const { trace } = await response.json();
